/**
 * <b>Math</b>
 * <p>
 * A built-in object that has properties and methods for mathematical constants and functions.
 * </p>
 * @type Math
 */
var Math = {
/**
 * <b>toSource</b>
 * @type String
 * @static
 */
toSource: function() {},

/**
 * <b>LN2</b>
 * <p>
 * The natural logarithm of 2, approximately 0.693.
 * </p>
 * @type Number
 * @static
 */
LN2: undefined,

/**
 * <b>E</b>
 * <p>
 * The base of natural logarithms, e, approximately 2.718.
 * </p>
 * @type Number
 * @static
 */
E: undefined,

/**
 * <b>atan</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.atan(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the arctangent (in radians) of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
atan: function() {},

/**
 * <b>pow</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.pow(<em>base</em>,<em>exponent</em>)</code>
 * </p>
 * <p>
 * Returns base to the exponent power, that is, baseexponent.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>String</i></td>
 * <td valign="top"><b>exponents </b></td>
 * <td>The exponent to which to raise base.</td>
 * </tr>
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>base </b></td>
 * <td>The base number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
pow: function() {},

/**
 * <b>asin</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.asin(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the arcsine (in radians) of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
asin: function() {},

/**
 * <b>cos</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.cos(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the cosine of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x</b></td>
 * <td>A number given in unit of radians.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
cos: function() {},

/**
 * <b>ceil</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.ceil(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the smallest integer greater than or equal to a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
ceil: function() {},

/**
 * <b>round</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.round(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the value of a number rounded to the nearest integer.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
round: function() {},

/**
 * <b>atan2</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.atan2(<em>y</em>,<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the arctangent of the quotient of its arguments.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>y, x</b></td>
 * <td>Numbers.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
atan2: function() {},

/**
 * <b>abs</b>
 * <p>
 * Returns the absolute value of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
abs: function() {},

/**
 * <b>SQRT1_2</b>
 * <p>
 * The square root of 1/2; equivalently, 1 over the square root of 2, approximately 0.707.
 * </p>
 * @type Number
 * @static
 */
SQRT1_2: undefined,

/**
 * <b>acos</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.acos(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the arccosine (in radians) of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
acos: function() {},

/**
 * <b>min</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.min([<em>value1</em>[,<em>value2</em>[,...]]])</code>
 * </p>
 * <p>
 * Returns the smallest of zero or more numbers.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>value1, value2, ...</b></td>
 * <td>Numbers.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
min: function() {},

/**
 * <b>LN10</b>
 * <p>
 * The natural logarithm of 10, approximately 2.302.
 * </p>
 * @type Number
 * @static
 */
LN10: undefined,

/**
 * <b>max</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.max([<em>value1</em>[,<em>value2</em>[,...]]])</code>
 * </p>
 * <p>
 * Returns the largest of zero or more numbers.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>value1, value2, ... </b></td>
 * <td>Numbers.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
max: function() {},

/**
 * <b>sqrt</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.sqrt(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the square root of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
sqrt: function() {},

/**
 * <b>random</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.random()</code>
 * </p>
 * <p>
 * Returns a floating-point, pseudo-random number in the range [0, 1) that is, from 0 (inclusive) up to but not including 1 (exclusive), which you can then scale to your desired range. The random number generator is seeded from the current time, as in Java.
 * </p>
 * @type Number
 * @static
 */
random: function() {},

/**
 * <b>SQRT2</b>
 * <p>
 * The square root of 2, approximately 1.414.
 * </p>
 * @type Number
 * @static
 */
SQRT2: undefined,

/**
 * <b>log</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.log(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the natural logarithm (base E) of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
log: function() {},

/**
 * <b>exp</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.exp(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns Ex, where x is the argument, and E is Euler's constant, the base of the natural logarithms.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
exp: function() {},

/**
 * <b>floor</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.floor(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the largest integer less than or equal to a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
floor: function() {},

/**
 * <b>PI</b>
 * <p>
 * The ratio of the circumference of a circle to its diameter, approximately 3.14159.
 * </p>
 * @type Number
 * @static
 */
PI: undefined,

/**
 * <b>sin</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.sin(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the sine of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x</b></td>
 * <td>A number (given in radians).</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
sin: function() {},

/**
 * <b>tan</b>
 * <p style="background-color: #E1FEFF; width: 100%; padding: 5px; margin: 5 5 0 5; border: 2px black dashed;">
 * <code>Math.tan(<em>x</em>)</code>
 * </p>
 * <p>
 * Returns the tangent of a number.
 * </p>
 * <h3>Parameters:</h3>
 * <table style="margin-left:10px;">
 * <tr>
 * <td valign="top"><i>Number</i></td>
 * <td valign="top"><b>x </b></td>
 * <td>A number representing an angle in radians.</td>
 * </tr>
 * </table>
 * @type Number
 * @static
 */
tan: function() {},

/**
 * <b>LOG10E</b>
 * <p>
 * The base 10 logarithm of E (approximately 0.434).
 * </p>
 * @type Number
 * @static
 */
LOG10E: undefined,

/**
 * <b>LOG2E</b>
 * <p>
 * The base 2 logarithm of E (approximately 1.442).
 * </p>
 * @type Number
 * @static
 */
LOG2E: undefined,

}
